> ## Documentation Index
> Fetch the complete documentation index at: https://zeropath.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List custom rules

> List all custom rules for the organization, optionally filtered by repository



## OpenAPI

````yaml https://zeropath.com/openapi/v1.yaml post /api/v2/rules/list
openapi: 3.1.0
info:
  title: ZeroPath API
  version: 1.0.0
  description: Public API for ZeroPath
servers:
  - url: https://zeropath.com
    description: Production server
    x-fern-server-name: Production
  - url: https://dev.branch.zeropath.com
    description: Development server
    x-fern-server-name: Development
security:
  - apiTokenId: []
    apiTokenSecret: []
tags:
  - name: Organizations
    description: Operations related to organizations
  - name: Stats
    description: Operations related to stats
  - name: Repositories
    description: Operations related to repositories
  - name: Installations
    description: Operations related to installations
  - name: Issues
    description: Operations related to issues
  - name: SCA
    description: Software Composition Analysis
  - name: Scans
    description: Operations related to scans
  - name: Rules
    description: Operations related to custom security rules
  - name: Referrals
    description: Operations related to referrals
paths:
  /api/v2/rules/list:
    post:
      tags:
        - Rules
      summary: List custom rules
      description: >-
        List all custom rules for the organization, optionally filtered by
        repository
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListRulesInput'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuleListResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
components:
  schemas:
    ListRulesInput:
      type: object
      properties:
        organizationId:
          type: string
        repositoryId:
          type: string
          description: Filter rules by repository
        page:
          type: integer
          minimum: 1
          default: 1
        pageSize:
          type: integer
          minimum: 1
          maximum: 100
          default: 20
    RuleListResponse:
      type: object
      properties:
        rules:
          type: array
          items:
            $ref: '#/components/schemas/Rule'
        totalCount:
          type: integer
        page:
          type: integer
        pageSize:
          type: integer
        totalPages:
          type: integer
      required:
        - rules
        - totalCount
        - page
        - pageSize
        - totalPages
    Rule:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        rule:
          type: string
          description: Natural language description of the security rule
        globPattern:
          type: string
        sourceTypes:
          type: array
          items:
            type: string
            enum:
              - HTTP_HANDLER
              - FILE_HANDLER
              - STDIN_HANDLER
              - BROWSER_DATA
              - WEBSOCKET
              - SOCKET
              - CLI_ARGUMENT
              - MOBILE_INPUTS
        repositoryIds:
          type: array
          items:
            type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - rule
        - globPattern
        - sourceTypes
        - repositoryIds
        - createdAt
        - updatedAt
  responses:
    BadRequest:
      description: Bad Request
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
  securitySchemes:
    apiTokenId:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Id
      x-fern-header:
        name: apiTokenId
        env: ZEROPATH_API_TOKEN_ID
    apiTokenSecret:
      type: apiKey
      in: header
      name: X-ZeroPath-API-Token-Secret
      x-fern-header:
        name: apiTokenSecret
        env: ZEROPATH_API_TOKEN_SECRET

````